Package: groovy.xml.streamingmarkupsupport

## [Java] Class StreamingMarkupWriter

- groovy.xml.streamingmarkupsupport.StreamingMarkupWriter

-     public class StreamingMarkupWriter
      extends Writer

- - ### Constructor Summary

    Constructors
    Constructor and description
    `StreamingMarkupWriter(Writer writer, String encoding)`
    `StreamingMarkupWriter(Writer writer, String encoding, boolean useDoubleQuotes)`
    `StreamingMarkupWriter(Writer writer)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `close()`
    `` | `public void` | `close()`
    `` | `public Writer` | `escaped()`
    `` | `public Writer` | `escaped()`
    `` | `public void` | `flush()`
    `` | `public void` | `flush()`
    `` | `public String` | `getEncoding()`
    `` | `public boolean` | `getEncodingKnown()`
    `` | `public void` | `setWritingAttribute(boolean writingAttribute)`
    `` | `public void` | `setWritingAttribute(boolean writingAttribute)`
    `` | `public Writer` | `unescaped()`
    `` | `public Writer` | `unescaped()`
    `` | `public void` | `write(int c)`
    `` | `public void` | `write(char[] cbuf, int off, int len)`
    `` | `public void` | `write(int c)`
    `` | `public void` | `write(char[] cbuf, int off, int len)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Writer` | `append, append, append, append, append, append, flush, write, write, write, write, write, close, nullWriter, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public StreamingMarkupWriter(Writer writer, String encoding)

    - #### public StreamingMarkupWriter(Writer writer, String encoding, boolean useDoubleQuotes)

    - #### public StreamingMarkupWriter(Writer writer)

  - ### Method Detail

    - #### @Override
      public void close()

    - #### @Override
      public void close()

    - #### public Writer escaped()

    - #### @Override
      public void flush()

    - #### @Override
      public void flush()

    - #### public String getEncoding()

    - #### public boolean getEncodingKnown()

    - #### public void setWritingAttribute(boolean writingAttribute)

    - #### public Writer unescaped()

    - #### @Override
      public void write(int c)

    - #### @Override
      public void write(char[] cbuf, int off, int len)

    - #### @Override
      public void write(int c)

    - #### @Override
      public void write(char[] cbuf, int off, int len)